No puedo instalar un .deb

Imagen de Ivlas
0 puntos

Hola compañeros! serían tan amable de darme una mano con lo siguiente:
No puedo ver archivos en flash en mi Ubuntu 11.04 en ninguno de los 2 navegadores que tengo. Chromium y Firefox.
NO se pudo ejecutar el Shockwave flash aparece en uno de estos navegadores, entonces
Fuí hasta la pag. de Adobe me bajé en formato rpm el Flash Player, luego con el Alien lo pasé a el formato .dev
pero cuando con el comando sudo en modo superusuario ejecuto este archivo aparece:

salvi@SalviPC:~$ dpkg -i home/salvi/flash.deb
dpkg: error: la operación solicitada precisa privilegios de superusuario
salvi@SalviPC:~$ sudo su
[sudo] password for salvi:
root@SalviPC:/home/salvi# dpkg -i home/salvi/flash.deb
dpkg: error al procesar home/salvi/flash.deb (--install):
no se puede acceder al archivo: No existe el archivo o el directorio
Se encontraron errores al procesar:
home/salvi/flash.deb
root@SalviPC:/home/salvi# dpkg -i /home/salvi/Escritorio/flash.deb
(Leyendo la base de datos ... 247283 ficheros o directorios instalados actualmente.)
Desempaquetando flash-plugin (de .../salvi/Escritorio/flash.deb) ...
dpkg: error al procesar /home/salvi/Escritorio/flash.deb (--install):
intentando sobreescribir `/usr/bin/flash-player-properties', que está también en el paquete adobe-flash-properties-gtk 11.2.202.280-0oneiric1
dpkg-deb: error: el subproceso copiado se mató con la señal (Tubería rota)
Se encontraron errores al procesar:
/home/salvi/Escritorio/flash.deb

Que puede estar impidiendo la libre instalación? Les voy a agradecer mucho cualquier sugerencia.
Les mando un saludo!!!

Imagen de pasbuntu
+1
0
-1

te sugiero instalarlo manualmente:

ve a la dirección de descarga de adobe flash http://get.adobe.com/es/flashplayer/?no_redirect
en vez de seleccionar el paquete de ubuntu selecciona el que dice tar.gz y descargarla.
descomprimelo.
abres una terminal en la dirección donde esta los archivos descomprimidos.
ejecutas este comando " cp libflashlayer.so /opt/google/chrome/plugins/ "
y luego este otro comando " sudo cp -r usr/* /usr " y listo debería solucionarse.

espero te sirva (esta info fue tomada de el archivo readme de el mismo archivo tar.gz que se descargo)

+1
0
-1
Imagen de Ivlas
+1
0
-1

Pasbuntu, gracias por tu comentario. Les respondo según orden cronológico.
Seguí tu consejo solo que al comando cp le agregué libflashplayer.iso (con P)y como linux respondía que no existe la carpeta especificada en OPT le escribí la ruta de complementos de Firefox en modo SU:
sudo cp libflashplayer.so /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/ubufox@ubuntu.com/ (acá tampoco existe el archivo a reemplazar. El terminal copia el archivo sin ninguna carpeta de plugins pero no soluciona el problema. (el otro comando publicado efectua nada.)
Gracias igual por tu aporte de todas maneras.

+1
0
-1
Imagen de gato2707
+1
0
-1

Para instalar algo (lo que sea) hay que usar los repositorios.

Abre una terminal y escribe:

sudo apt-get update && sudo apt-get install flashplugin-installer

Con eso debes de tener suficiente.

Ahora Adobe retiró el soporte para Linux hace ya algo de tiempo, por eso no encontrarás las últimas versiones. La única forma de usar las versiones nuevas es usando Google Chrome que tiene integrado su propia versión del flash.

Aquí un pequeño tutorial de como usar pepper con Chromium

http://ubunlog.com/como-usar-pepper-flash-en-chromium/

Si no sabes exactamente lo que estas haciendo, no debes descargar software de otros lados, primero aprende a usar Ubuntu y luego podrás hacer tus experimentos.

+1
0
-1

Saludos desde México
Mi Web: El Gato con Linux

Imagen de Ivlas
+1
0
-1

Gracias gato2707 por tu aporte, Además agradezco tu sugerencia de operación. Ejecuté el comando que dejaste pero arroja este resultado:
W: Error de GPG: http://ppa.launchpad.net oneiric Release: Las firmas siguientes no se pudieron verificar porque su clave pública no está disponible: NO_PUBKEY 1EE2FF37CA8DA16B
W: Imposible obtener http://ppa.launchpad.net/pratikmsinha/freethinkers.packages/ubuntu/dists... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/pratikmsinha/freethinkers.packages/ubuntu/dists... 404 Not Found

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

Voy a ver en detalles el link del tutorial de Pepperflash proximamente! gracias por tu tiempo!!

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Primero borra los paquetes de flash que tienes instalados actualmente... si dices tener Ubuntu 11.04... ¿por que tienes paquetes de oneiric?

NO conviertas ningún rpm a deb... eso dejalo para manos más expertas... y aún esta muy lejos que un rpm convertido te funcione.

después de borrar lo que tengas de flash puedes instalar la versión de la página de adobe o puedes usar el plugin de Chrome, se llama "pepperflash".

pasbuntu, estas mal: chrome NO es lo mismo que chromium y no necesitas en lo absoluto copiar el plugin de flash en el directorio de chrome (chrome tiene su propio plugin), en las instrucciones dice:

o Copy libflashplayer.so to the appropriate browser plugins directory. At the prompt type:
+ cp libflashlayer.so <BrowserPluginsLocation>
o Copy the Flash Player Local Settings configurations files to the /usr directory. At the prompt type:
+ sudo cp -r usr/* /usr

la orden "sudo cp -r usr/* /usr" implica que estas dentro de la carpeta en donde extrajiste el contenido del .tar.gz que contiene flash.

también podrías crear un enlace blando al pepper flash de chrome, como sigue:

sudo ln -s /opt/google/chrome/plugins/libpepflashplayer.so /usr/lib/.../libflashplayer.so

el directorio que esta después de /usr/lib puede variar entre distribución en debian 7 la ruta completa es

/usr/lib/flashplugin-nonfree/libflashplayer.so

Chromium por su parte te permite usar directamente el plugin de chrome: http://www.webupd8.org/2012/09/how-to-make-chromium-use-flash-player.html

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Ivlas
+1
0
-1

Gracias también José Luis por tu post, tomaré tus sugerencias.

sudo ln -s /opt/google/chrome/plugins/libpepflashplayer.so /usr/lib/adobe-flashplugin/libflashplayer.so

Ejecuto el comando que me pasaste pero como no sé borrar el archivo anterior del plugin, al querer enviar el nuevo archivo me dice que ya existe.

Con respecto a Chromium en breve estaré revisando el link que pasaste.

Muchas gracias por tu tiempo!

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

estas haciendo un enlace blando, equivale a un "acceso directo" de windows... pero no son lo mismo.

Ese tienes dos maneras, con nautilus, abierto como root o usando rm, también con permisos de root.

Y para no borrarlo con mv.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Alcruz
+1
0
-1

Para firefox, vas al sitio de Adobe, te descargas el tar.gz para tu arquitecura, desconmprimes el archivo y pones el archivo libflashplayer.so en /usr/lib/mozilla/plugins aunque tembién lo puedes poner en tu carpeta personal en la tuta /home/usuario/.mozilla/plugins, si no tienes la carpeta plugins, la creas.
También puedes crear un paquete .deb usando alien , para ello descomprimes el tar.gz que descargste, abre la carpeta descomprimida, elimina el archivo readme.txt, abre usr, luego lib, dentro de ella creas una carpeta con nombre mozilla, dentro de ella creas otra carpeta con nombre plugins , finalmente mueves dentro de esta última el archivo libflashplayer.so, luego vuelves a comptimir la carpetya a .tar.gz. Para crear el deb, abre terminal en el directorio donde quieres crearlo y pones
sudo alien --to-deb , dejas un espacio, arrastra el .tar.gz a ese terminal y ya.
Respecto a usar pepper flash en chromium, no creo que el tutorial que te pasaron te sirva por que se basa en que tienes que instalar google-chome y mas que seguro que tu versión de Ubunntu no lo admite- Lo que puedes hacer es ur al sitio de Adobe, te descargas el .deb para tu arquitectura de google.chrome-stable. después click secundaio sobre el paquete. deb ---> extraer aquí, entra a la carpeta descomprimida, entras a opt y copia la carpeta PepperFlash en /opt de tu sistema, finalmente ejecuta
gksudo gedit /etc/chromium-browser/default
la última línea la dejas así
CHROMIUM_FLAGS="--ppapi-flash-path=/opt/PepperFlash/libpepflashplayer.so"

+1
0
-1
Imagen de Ivlas
+1
0
-1

si, lo hice, pero no arrojó error alguno, verifiqué que haya efectuado los cambios pero todo sigue igual. Gracias por tu intención. Saludos!

+1
0
-1
Imagen de Acua89
+1
0
-1

Buenas
ante nada una consulta: Has instalado ubuntu-restricted-extras? es solo una consulta, ya que nadie menciono ni lei que mencionaras, en cuanto a flash, casi siempre es mas simple ir al centro de software de ubuntu buscar ubuntu-restricted-extras y pulsar sobre extras restringidos alli hay varios items entre los que se encuentra flash, no se si lo has hecho solo lo comento por las dudas...
Saludos

+1
0
-1

Acua89

Imagen de Ivlas
+1
0
-1

bajé ese pack, no sin antes pedirme que desinstale ciertos packs que uso frecuentemente. Igual no pasó nada. Gracias también por tu intención de ayudar. Saludos!

+1
0
-1
Imagen de fernan
+1
+1
-1

Hola:
Lo primero que debes tener en cuenta es que Ubuntu 11.04 cuyo nombre es Natty Narwhal, ya no tiene soporte porque no es LTS y en aquella época estas versiones tenían 18 meses de soporte, ahora las no LTS tienen 9, por tanto el soporte de Ubuntu 11.04 como salió en abril de 2011 acabó en octubre de 2012. El fin de soporte tiene varias implicaciones:
1º- Esta versión ya no recibe actualizaciones.
2º- Consecuencia de lo anterior es que el software se queda anticuado.
3º- Para seguir usando esta versión pudiendo instalar programas deberás cambiar los repositorios pero por lo que he leído en estos foros no a los originales sino a unos repositorios que pone old releases, en todo caso que me corrijan los mas expertos.
Por tanto yo creo que lo mejor es que te plantees utilizar una versión moderna de ubuntu que tenga soporte, por tanto veo dos opciones principales:
A) PASARTE A UBUNTU 12.04 QUE ES LTS
Ubuntu 12.04 es una versión LTS que tiene soporte de 5 años, la próxima Ubuntu 14.04 que saldrá en abril de este año también será LTS, al menos Ubuntu y alguno de sus sabores porque se dice que Ubuntu Gnome que uso yo igual no es LTS. Si optas por esta opción como salió en abril de 2012 el soporte acabará en abril de 2017.
B) PASARTE A UBUNTU 13.10
Esta versión salió el día 17 de octubre de 2013 y tiene soporte hasta julio 2014. Yo tengo Ubuntu Gnome 14.04 y puedo ver los vídeos flash pero para verlos a pantalla completa con el firefox hay veces que debo aplicar un apaño, puedes ver en estos foros mi post en la sección de Ubuntu 13.10 titulado "apaño para ver vídeos flash a pantalla completa".
El tema es que adobe no va a sacar mas versiones de flash para linux salvo que uses chrome, pero chrome parece que no se puede instalar en algunas versiones de Ubuntu al menos fácilmente, por eso una tercera opción sería usar distribuciones que si permitan instalar chrome de forma sencilla pero eso implica aprender a usar esas distros.
Lo mejor será que:
1º- Hagas copia de seguridad de tus archivos, favoritos, libretas de direcciones ...
2º- Pruebes en live Ubuntu 12.04 y Ubntu 13.10 y veas cual te gusta mas.
3º- Para ver en live que tal funcionan los vídeos en flash deberás seguir los siguientes pasos:
a) Comprobar que tienes acceso a internet desde el live o configurar el acceso a internet en caso contrario.
b) Activar el repositorio de software restringido que por defecto viene desactivado en la sesión live.
c) Realizados los pasos anteriores instalar flashplugin-instaler.
Estos pasos los puedes hacer con el centro de software aunque a mi me gusta mas usar el synaptic (para instalar este gestor gráfico de paquetes pon en terminal sudo apt-get install synaptic)
4- Proceder a instalar la versión nueva de Ubuntu que hayas elegido, estando seguro de tener realizadas todas las copias de seguridad también copias de lo que tengas en Windows, si es que tienes también Windows, y tener cuidado no borres particiones de Windows en su caso, lógicamente de los documentos que hayas hecho en ubuntu debes hacer copia de seguridad. Puede ser que tengas separada la partición /home pero dado que has hecho diversas cosas igual mejor es que, aunque la tuvieras separada, la formatees también no sea que alguna configuración se quede mal.
5º- En la instalación marca las opciones descargar actualizaciones y también instalar software de terceros, para que te instale el flash.
6º- Luego con el nuevo ubuntu instalado actualizas el sistema y te instalas los programas que quieras para por último volver a poner los documentos de los que hayas hecho copia de seguridad.
Saludos.

+1
+1
-1
Imagen de Ivlas
+1
0
-1

Muy buena respuesta! muy detallada. Toda la comunidad te agradece esta dedicación para ayudar.
Después de mucho experimentar, voy a hacer lo que decís: Instalar la 12.04 en mi AMD XP 2500+ para ver si se puede usar o me sobrecarga el sistema.
Saludos! :)

+1
0
-1
Imagen de pasbuntu
+1
0
-1

el error de 404 no fond sale cuando el ubuntu no tiene soporte.

como dicen ya no hay actualizaciones y como es una versión vieja guisas mi comando no funciono porque las cosas estaban en otro lugar.

mejor te recomiendo que actualices a ubuntu 12.04 LTS pues es mas estable y ademas no tienes que cambiar de ubuntu dentro de 3 años (descuento los 2 años que pasaron).

+1
0
-1
Imagen de Ivlas
+1
0
-1

Gracias, compañero, haré eso en los proximos días!!

+1
0
-1